
	/*
	|| Autor: Jhon Reyes C
	|| Fecha: 2022.08.11
	|| Proceso: Actualizar el campo IND_BORRADO_INF_ADJ de la tabla MAESTRO_CARTERA
	*/

use svh_report_db
go

	/*
	|| Scripts que se ha ejecutado en el mes de agosto, con el fin de dejar actualizado el nuevo campo IND_BORRADO_INF_ADJ para todos los cierres anteriores.
	*/
	/*
		UPDATE [JUNO].[MAESTRO_CARTERA] SET [IND_BORRADO_INF_ADJ] = ''

		UPDATE CARTERA 
		SET CARTERA.IND_BORRADO_INF_ADJ = 'X'
		FROM [JUNO].[MAESTRO_CARTERA] CARTERA 
		INNER JOIN [JUNO].[TMP_INF_ADJUDICADOS_BORRADO_URS] BORRADO ON CARTERA.SOCIEDAD = BORRADO.SOCIEDAD AND CARTERA.UNIDAD_REGISTRAL = BORRADO.UNIDAD_REGISTRAL
		WHERE CARTERA.PERIODO = '202205'

		UPDATE CARTERA 
		SET CARTERA.IND_BORRADO_INF_ADJ = 'X'
		FROM [JUNO].[MAESTRO_CARTERA] CARTERA 
		INNER JOIN [JUNO].[TMP_INF_ADJUDICADOS_BORRADO_URS] BORRADO ON CARTERA.SOCIEDAD = BORRADO.SOCIEDAD AND CARTERA.UNIDAD_REGISTRAL = BORRADO.UNIDAD_REGISTRAL
		WHERE CARTERA.PERIODO = '202206'

		UPDATE CARTERA 
		SET CARTERA.IND_BORRADO_INF_ADJ = 'X'
		FROM [JUNO].[MAESTRO_CARTERA] CARTERA 
		INNER JOIN [JUNO].[TMP_INF_ADJUDICADOS_BORRADO_URS] BORRADO ON CARTERA.SOCIEDAD = BORRADO.SOCIEDAD AND CARTERA.UNIDAD_REGISTRAL = BORRADO.UNIDAD_REGISTRAL
		WHERE CARTERA.PERIODO = '202207'
	*/


	/*
	|| Actualizar el campo IND_BORRADO_INF_ADJ del periodo actual. 
	||	Mes a mes siempre se tiene que ejecutar
	*/
	DECLARE @PERIODO_DATAMART VARCHAR(6)
	SET @PERIODO_DATAMART = CONVERT(VARCHAR(6),DATEADD(dd,-(DAY(GETDATE())),GETDATE()),112);

	UPDATE CARTERA
	SET CARTERA.IND_BORRADO_INF_ADJ = 'X'
	FROM JUNO.MAESTRO_CARTERA CARTERA 
	INNER JOIN [JUNO].[TMP_INF_ADJUDICADOS_BORRADO_URS] BORRADO ON CARTERA.SOCIEDAD = BORRADO.SOCIEDAD AND CARTERA.UNIDAD_REGISTRAL = BORRADO.UNIDAD_REGISTRAL
	WHERE CARTERA.PERIODO = @PERIODO_DATAMART AND BORRADO.IND_BORRADO = 'X'